Workaround for https://gitlab.gnome.org/GNOME/gtk-doc/-/issues/162
See also https://github.com/mesonbuild/meson/issues/5843

--- meson-1.6.0/mesonbuild/scripts/gtkdochelper.py.orig
+++ meson-1.6.0/mesonbuild/scripts/gtkdochelper.py
@@ -206,8 +206,11 @@
     gtkdoc_run_check(fixref_cmd, abs_out)
 
     if module_version:
-        shutil.move(os.path.join(htmldir, f'{module}.devhelp2'),
-                    os.path.join(htmldir, f'{module}-{module_version}.devhelp2'))
+        try:
+            shutil.move(os.path.join(htmldir, f'{module}.devhelp2'),
+                        os.path.join(htmldir, f'{module}-{module_version}.devhelp2'))
+        except FileNotFoundError:
+            pass
 
 def install_gtkdoc(build_root: str, doc_subdir: str, install_prefix: str, datadir: str, module: str) -> None:
     source = os.path.join(build_root, doc_subdir, 'html')
--- "meson-1.6.0/test cases/frameworks/10 gtk-doc/test.json.orig"
+++ "meson-1.6.0/test cases/frameworks/10 gtk-doc/test.json"
@@ -4,7 +4,6 @@
     {"type": "file", "file": "usr/share/gtk-doc/html/foobar/BAR.html"},
     {"type": "file", "file": "usr/share/gtk-doc/html/foobar/baz.jpg"},
     {"type": "file", "file": "usr/share/gtk-doc/html/foobar/baz.png"},
-    {"type": "file", "file": "usr/share/gtk-doc/html/foobar/foobar.devhelp2"},
     {"type": "file", "file": "usr/share/gtk-doc/html/foobar/foobar.html"},
     {"type": "file", "file": "usr/share/gtk-doc/html/foobar/FooObj.html"},
     {"type": "file", "file": "usr/share/gtk-doc/html/foobar/foo-version.html"},
@@ -18,7 +17,6 @@
     {"type": "file", "file": "usr/share/gtk-doc/html/foobar/up.png"},
     {"type": "file", "file": "usr/share/gtk-doc/html/foobar/up-insensitive.png"},
     {"type": "file", "file": "usr/share/gtk-doc/html/foobar2/BAR.html"},
-    {"type": "file", "file": "usr/share/gtk-doc/html/foobar2/foobar2.devhelp2"},
     {"type": "file", "file": "usr/share/gtk-doc/html/foobar2/foobar.html"},
     {"type": "file", "file": "usr/share/gtk-doc/html/foobar2/foobar2-foo.html"},
     {"type": "file", "file": "usr/share/gtk-doc/html/foobar2/foobar2-foo-version.html"},
@@ -32,7 +30,6 @@
     {"type": "file", "file": "usr/share/gtk-doc/html/foobar2/up.png"},
     {"type": "file", "file": "usr/share/gtk-doc/html/foobar2/up-insensitive.png"},
     {"type": "file", "file": "usr/share/gtk-doc/html/foobar-3.0/BAR.html"},
-    {"type": "file", "file": "usr/share/gtk-doc/html/foobar-3.0/foobar-3.0.devhelp2"},
     {"type": "file", "file": "usr/share/gtk-doc/html/foobar-3.0/foobar.html"},
     {"type": "file", "file": "usr/share/gtk-doc/html/foobar-3.0/foobar-foo.html"},
     {"type": "file", "file": "usr/share/gtk-doc/html/foobar-3.0/foobar-foo-version.html"},
@@ -46,7 +43,6 @@
     {"type": "file", "file": "usr/share/gtk-doc/html/foobar-3.0/up.png"},
     {"type": "file", "file": "usr/share/gtk-doc/html/foobar-3.0/up-insensitive.png"},
     {"type": "file", "file": "usr/share/gtk-doc/html/foobar3/BAR.html"},
-    {"type": "file", "file": "usr/share/gtk-doc/html/foobar3/foobar2-3.0.devhelp2"},
     {"type": "file", "file": "usr/share/gtk-doc/html/foobar3/foobar.html"},
     {"type": "file", "file": "usr/share/gtk-doc/html/foobar3/foobar2-foo.html"},
     {"type": "file", "file": "usr/share/gtk-doc/html/foobar3/foobar2-foo-version.html"},
--- "meson-1.6.0/test cases/frameworks/36 gtkdoc cpp/test.json.orig"
+++ "meson-1.6.0/test cases/frameworks/36 gtkdoc cpp/test.json"
@@ -6,7 +6,6 @@
     {"type": "file", "file": "usr/share/gtk-doc/html/foo/foo-foo.html"},
     {"type": "file", "file": "usr/share/gtk-doc/html/foo/style.css"},
     {"type": "file", "file": "usr/share/gtk-doc/html/foo/index.html"},
-    {"type": "file", "file": "usr/share/gtk-doc/html/foo/foo.devhelp2"},
     {"type": "file", "file": "usr/share/gtk-doc/html/foo/left.png"},
     {"type": "file", "file": "usr/share/gtk-doc/html/foo/left-insensitive.png"},
     {"type": "file", "file": "usr/share/gtk-doc/html/foo/right-insensitive.png"},
